|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.fosstrak.epcis.queryclient.Query
public class Query
Implements an example query object for the EPCIS Query Interface Client.
| Constructor Summary | |
|---|---|
Query()
|
|
| Method Summary | |
|---|---|
String |
getDescription()
Gets the description. |
List<QueryParam> |
getQueryParameters()
Gets the vector that holds all other query parameters. |
boolean |
getReturnAggregationEvents()
Gets if aggregation events should be returned or not. |
boolean |
getReturnObjectEvents()
Gets if object events should be returned or not. |
boolean |
getReturnQuantityEvents()
Gets if quantity events should be returned or not. |
boolean |
getReturnTransactionEvents()
Gets if transaction events should be returned or not. |
void |
setDescription(String description)
Sets the description. |
void |
setReturnAggregationEvents(boolean aggregationEvents)
Sets if aggregation events should be returned or not. |
void |
setReturnObjectEvents(boolean objectEvents)
Sets if object events should be returned or not. |
void |
setReturnQuantityEvents(boolean quantityEvents)
Sets if quantity events should be returned or not. |
void |
setReturnTransactionEvents(boolean transactionEvents)
Sets if transaction events should be returned or not. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public Query()
| Method Detail |
|---|
public void setDescription(String description)
description - The describtion for the query.public String getDescription()
public void setReturnObjectEvents(boolean objectEvents)
objectEvents - true if object events should be returned,
false otherwise.public boolean getReturnObjectEvents()
true if the query service will return object
events, false otherwise.public void setReturnAggregationEvents(boolean aggregationEvents)
aggregationEvents - true if aggregation events should be returned,
false otherwise.public boolean getReturnAggregationEvents()
true if the query service will return aggregation
events, false otherwise.public void setReturnQuantityEvents(boolean quantityEvents)
quantityEvents - true if quantity events should be returned,
false otherwise.public boolean getReturnQuantityEvents()
true if the query service will return quantity
events, false otherwise.public void setReturnTransactionEvents(boolean transactionEvents)
transactionEvents - true if transaction events should be returned,
false otherwise.public boolean getReturnTransactionEvents()
true if the query service will return transaction
events, false otherwise.public List<QueryParam> getQueryParameters()
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||